title: 'Homepage Banner'
sections:
  main:
    display: Main
    fields:
      -
        handle: title
        field:
          type: text
          required: true
          validate:
            - required
      -
        handle: image
        field:
          mode: grid
          restrict: false
          allow_uploads: true
          display: Image
          type: assets
          icon: assets
          listable: hidden
      -
        handle: heading_en
        field:
          input_type: text
          display: 'Heading EN'
          type: text
          icon: text
          listable: hidden
      -
        handle: heading_bm
        field:
          input_type: text
          display: 'Heading BM'
          type: text
          icon: text
          listable: hidden
      -
        handle: description_en
        field:
          input_type: text
          display: 'Description EN'
          type: text
          icon: text
          listable: hidden
      -
        handle: description_bm
        field:
          input_type: text
          display: 'Description BM'
          type: text
          icon: text
          listable: hidden
      -
        handle: redirect_link
        field:
          input_type: text
          display: 'Redirect Link'
          type: text
          icon: text
          listable: hidden
  sidebar:
    display: Sidebar
    fields:
      -
        handle: slug
        field:
          type: slug
          required: true
          localizable: true
          validate:
            - required
      -
        handle: date
        field:
          type: date
          required: true
          validate:
            - required
      -
        handle: parent
        field:
          type: entries
          collections:
            - homepage_banner
          max_items: 1
          listable: false
          localizable: true
